## gdk-pixbuf 2.42.6+dfsg

=== debian/changelog ===
gdk-pixbuf (2.42.6+dfsg-1build2) impish; urgency=medium

  * Rebuild against release pocket.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Jun 2021 11:57:23 +0200

gdk-pixbuf (2.42.6+dfsg-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop patches that were applied upstream
  * d/copyright: Exclude pregenerated documentation and fonts from
    .orig.tar.xz
  * d/copyright: Use standalone license paragraphs
  * d/copyright: Update
  * d/README.source: Describe how to update to a new upstream.
    This is not quite the same as other GNOME packages because we have to
    repack the tarball.
  * Build documentation with gi-docgen
    - d/p/gi-docgen/Disable-web-fonts-for-now.patch:
      Disable use of remote or bundled fonts
    - d/p/gi-docgen/templates-Remove-html5shiv.patch:
      Disable use of remote html5shiv
    - d/rules: Use bundled gi-docgen even if it's installed system-wide.
      Until it's declared stable, the upstream recommendation is to vendor
      gi-docgen, which means Policy §4.13 allows an embedded code copy.
  * Build the PNG and JPEG loaders into the library.
    This matches upstream's recommendation: building these loaders in is
    one less thing that can go wrong.
    For the udeb, we previously installed the production library and the
    PNG loader; now we build a separate library that can only load PNGs.
    This means the udeb doesn't actually need loadable modules at all.
    Create an empty loaders.cache file, just to prevent warnings.
  * d/control: Add -dev dependencies on libjpeg-dev, libtiff-dev.
    The pkg-config metadata now depends on these.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Jun 2021 21:29:21 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gdk-pixbuf
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               docbook-xml,
               docbook-xsl,
               gnome-pkg-tools (>= 0.10),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.3),
               libglib2.0-dev (>= 2.56.0),
               libjpeg-dev,
               libpng-dev (<< 1.7),
               libpng-dev (>= 1.6),
               libtiff-dev,
               meson (>= 0.55.3),
               shared-mime-info (>= 1.2),
               xsltproc
Build-Depends-Indep: python3 (>= 3.6) <!nodoc>,
                     python3-jinja2 <!nodoc>,
                     python3-markdown <!nodoc>,
                     python3-pygments <!nodoc>,
                     python3-toml <!nodoc>,
                     python3-typogrify <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.gtk.org/
Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf

Package: libgdk-pixbuf-2.0-0
Architecture: any
Depends: libgdk-pixbuf2.0-common (= ${source:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: libgdk-pixbuf2.0-bin
Breaks: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
Replaces: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
Multi-Arch: same
Description: GDK Pixbuf library
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)

Package: libgdk-pixbuf2.0-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Replaces: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
Breaks: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
Description: GDK Pixbuf library (thumbnailer)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the GDK pixdata compression utility, the thumbnailer
 and a utility for converting images into C code.

Package: libgdk-pixbuf2.0-common
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: GDK Pixbuf library - data files
 This package contains the common files and translations for the GDK
 Pixbuf library.

Package: libgdk-pixbuf-2.0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
         libgdk-pixbuf-2.0-0 (= ${binary:Version}),
         libgdk-pixbuf2.0-bin (= ${binary:Version}),
         libglib2.0-dev (>= 2.56.0),
         libjpeg-dev,
         libpng-dev (<< 1.7),
         libpng-dev (>= 1.6),
         libtiff-dev,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
Replaces: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
Description: GDK Pixbuf library (development files)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the header files which are needed for using GDK Pixbuf.

Package: libgdk-pixbuf2.0-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Description: GDK Pixbuf library (documentation)
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the HTML documentation for the GDK Pixbuf library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: libgdk-pixbuf2.0-0-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: libgdk-pixbuf-2.0-0-udeb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GDK Pixbuf library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This transitional package depends on libgdk-pixbuf-2.0-0-udeb.

Package: libgdk-pixbuf-2.0-0-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GDK Pixbuf library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the minimal runtime library needed by
 the Debian installer.

Package: gir1.2-gdkpixbuf-2.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Breaks: libgtk3-perl (<< 0.034-2~)
Provides: gir1.2-gdkpixdata-2.0 (= ${binary:Version})
Description: GDK Pixbuf library - GObject-Introspection
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gdk-pixbuf-tests
Architecture: any
Depends: libgdk-pixbuf-2.0-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: installed tests for the GDK Pixbuf library
 The GDK Pixbuf library provides:
  - Image loading and saving facilities.
  - Fast scaling and compositing of pixbufs.
  - Simple animation loading (ie. animated GIFs)
 .
 This package contains the installed tests for the GDK Pixbuf library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

built_binaries := $(shell dh_listpackages)
meson_options = \
	--force-fallback-for=gi-docgen \
	$(NULL)

ifneq (,$(filter libgdk-pixbuf2.0-doc,$(built_binaries)))
  BUILD_DOCS:=-Dgtk_doc=true
else
  BUILD_DOCS:=-Dgtk_doc=false
endif

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		$(meson_options) \
		$(BUILD_DOCS) \
		-Dinstalled_tests=true \
		-Dintrospection=enabled \
		$(NULL)
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_configure \
		--builddirectory=obj-udeb \
		-- \
		$(meson_options) \
		-Dbuiltin_loaders=png \
		-Dinstalled_tests=false \
		-Dintrospection=disabled \
		-Dgtk_doc=false \
		-Dpng=true \
		-Dtiff=false \
		-Djpeg=false \
		-Dman=false \
		$(NULL)
endif

override_dh_auto_build:
	dh_auto_build
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_build --builddirectory=obj-udeb
endif

override_dh_auto_install:
	dh_auto_install
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_auto_install --builddirectory=obj-udeb --destdir=debian/tmp-udeb
endif

# temporary directory for the minimal MIME cache generation
mimedir := debian/build-mime
mimexml := /usr/share/mime/packages/freedesktop.org.xml

infiles := \
	libgdk-pixbuf-2.0-0.triggers \
	libgdk-pixbuf-2.0-0.postinst \
	libgdk-pixbuf-2.0-0.postrm

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# on slow arches the "slow" tests take longer than the timeout allowed
	# by upstream; allow even more time (-t is a multipiler)
ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64))
	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky || true
else
	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky
endif
endif

override_dh_install:
	# process .in files
	set -e; for file in $(infiles); do \
		sed -e"s/#MULTIARCH#/$(DEB_HOST_MULTIARCH)/g" \
			debian/$${file}.in > debian/$$file; \
	done
ifneq ($(filter %-udeb,$(built_binaries)),)
	# generate a minimal MIME cache for the udeb
	mkdir -p $(mimedir)/packages
	[ -f $(mimexml) ]
	xsltproc -nonet debian/keep-png-only.xsl $(mimexml) \
		> $(mimedir)/packages/png.freedesktop.org.xml
	update-mime-database $(mimedir)
	install -m 0644 -D $(mimedir)/mime.cache debian/libgdk-pixbuf-2.0-0-udeb/usr/share/mime/mime.cache
	# an empty loaders cache, everything we need for d-i is built-in
	mkdir -p debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0
	touch debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache
	chmod 0644 debian/libgdk-pixbuf-2.0-0-udeb/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0/2.10.0/loaders.cache
	rm -f debian/tmp-udeb/usr/lib/*/libgtk_pixbuf-2.0.so
	rm -fr debian/tmp-udeb/usr/lib/*/pkgconfig
	dh_install -plibgdk-pixbuf-2.0-0-udeb --sourcedir=debian/tmp-udeb
endif
	dh_install --remaining-packages

override_dh_makeshlibs-arch:
	dh_makeshlibs -plibgdk-pixbuf-2.0-0 --add-udeb=libgdk-pixbuf-2.0-0-udeb -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gdk-pixbuf-2.0" -V -- -c4
	dh_makeshlibs --remaining-packages -V -- -c4

override_dh_missing:
ifneq ($(filter %-udeb,$(built_binaries)),)
	dh_missing --sourcedir=debian/tmp-udeb --fail-missing
endif
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	set -e; for file in $(infiles); do \
		rm -f debian/$$file; \
	done
	rm -rf $(mimedir)

override_dh_builddeb:
	# on Ubuntu PNGs are optimised using 'optipng', but the (installed)
	# testsuite relies on them being unmangled
	NO_PNG_PKG_MANGLE=1 dh_builddeb -pgdk-pixbuf-tests
	dh_builddeb --remaining-packages

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xinstalled-tests

## gdk-pixbuf 2.42.8+dfsg

=== meson_options.txt ===
option('png',
       description: 'Enable PNG loader (requires libpng)',
       type: 'feature',
       value: 'enabled')
option('tiff',
       description: 'Enable TIFF loader (requires libtiff), disabled on Windows if "native_windows_loaders" is used',
       type: 'feature',
       value: 'auto')
option('jpeg',
       description: 'Enable JPEG loader (requires libjpeg), disabled on Windows if "native_windows_loaders" is used',
       type: 'feature',
       value: 'enabled')
option('builtin_loaders',
       description: 'Comma-separated list of loaders to build into gdk-pixbuf',
       type: 'array',
       choices: ['all', 'none', 'windows', 'png', 'bmp', 'gif', 'ico', 'ani', 'jpeg', 'pnm', 'tiff', 'xpm', 'xbm', 'tga', 'icns', 'qtif'],
       value: ['png', 'jpeg'])
option('gtk_doc',
       description: 'Whether to generate the API reference',
       type: 'boolean',
       value: false,
       yield: true)
option('docs',
       description: 'Whether to generate the whole documentation (see: gtk_doc and man options) [Deprecated]',
       type: 'boolean',
       value: false)
option('introspection',
       description: 'Whether to generate the API introspection data (requires GObject-Introspection)',
       type: 'feature',
       value: 'auto',
       yield: true)
option('man',
       description: 'Whether to generate man pages (requires xlstproc)',
       type: 'boolean',
       value: true)
option('relocatable',
       description: 'Whether to enable application bundle relocation support',
       type: 'boolean',
       value: false)
option('native_windows_loaders',
       description: 'Use Windows system components to handle BMP, EMF, GIF, ICO, JPEG, TIFF and WMF images, overriding jpeg and tiff.  To build this into gdk-pixbuf, pass in windows" with the other loaders to build in or use "all" with the builtin_loaders option',
       type: 'boolean',
       value: false)
option('installed_tests',
       description: 'Install the test suite',
       type: 'boolean',
       value: true)
option('gio_sniffing',
       description: 'Perform file type detection using GIO (Unused on MacOS and Windows)',
       type: 'boolean',
       value: true)

=== debian/changelog ===
gdk-pixbuf (2.42.8+dfsg-1ubuntu0.4) jammy-security; urgency=medium

  * SECURITY UPDATE: Potential memory leak
    - debian/patches/CVE-2025-6199.patch: fix reporting
      of bytes written in decoder in gdk-pixbuf/lzw.c.
    - CVE-2025-6199
  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2025-7345.patch: be more careful
      with chunked icc data in gdk-pixbuf/io-jpeg.c.
    - CVE-2025-7345

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 15 Jul 2025 07:12:09 -0300

gdk-pixbuf (2.42.8+dfsg-1ubuntu0.3) jammy-security; urgency=medium

  * SECURITY UPDATE: heap memory corruption
    - debian/patches/CVE-2022-48622-*.patch: adds checks for invalid ani files
      to gdk-pixbuf/io-ani.c.
    - tests/tests-images/fail/CVE-2022-48622.ani: test file.
    - debian/source/include-binaries: including binary test file.
    - CVE-2022-48622

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 03 Jun 2024 19:40:54 +0300

gdk-pixbuf (2.42.8+dfsg-1ubuntu0.2) jammy; urgency=medium

  * debian/patches/debian_queryloader_dir.patch:
    - fix the directory referenced for gdk-pixbuf-query-loaders 
      in the .pc since that file is moved by the packaging (lp: #1993785)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Oct 2022 09:26:30 +0200

gdk-pixbuf (2.42.8+dfsg-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap-Buffer-Overflow
    - debian/patches/CVE-2021-44648-1.patch: Add an assertion that checks for maximum LZW code size
      in gdk-pixbuf/lzw.c.
    - debian/patches/CVE-2021-44648-2.patch: Fix the check for maximum value
      of LZW initial code size in gdk-pixbuf/io-gif.c.
    - debian/patches/CVE-2021-44648-3.patch:  Add tests for GIF files with
      invalid LZW code size in tests/tests-images/fail/* and
      tests/tests-images/gif-test-suite/*.
    - debian/source/include-binaries: add tests binaries to the package
    - CVE-2021-44648

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 07 Sep 2022 11:14:12 -0300

gdk-pixbuf (2.42.8+dfsg-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in: Loosen dependency on libgdk-pixbuf2.0-common.
    This fixes an issue seen repeatedly in Ubuntu when the amd64 (+all)
    build finishes and is published before one of the other arches starts
    to build.
  * Build-Depend on gi-docgen
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * debian/rules: Update configure flags
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/copyright: Use shorter CC0-1.0 text
  * debian/rules: Handle over-aggressive dh_fixperms for installed-tests

  [ Simon McVittie ]
  * Use debhelper compat level 13
    - We can now use debhelper substitutions for DEB_HOST_MULTIARCH in
      d/libgdk-pixbuf-2.0-0.install, rather than using dh-exec.
    - We can now pass `meson test` options to dh_auto_test, which no longer
      uses `ninja test` directly.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 15:44:22 -0400

gdk-pixbuf (2.42.6+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Simon McVittie <smcv@debian.org>  Sun, 15 Aug 2021 14:39:53 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-exec,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                docbook-xml,
                docbook-xsl,
-               gnome-pkg-tools (>= 0.10),
-               gobject-introspection (>= 0.9.12-4~),
+               gi-docgen,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.56.0),
                libjpeg-dev,
@@ -22,12 +23,6 @@
                meson (>= 0.55.3),
                shared-mime-info (>= 1.2),
                xsltproc
-Build-Depends-Indep: python3 (>= 3.6) <!nodoc>,
-                     python3-jinja2 <!nodoc>,
-                     python3-markdown <!nodoc>,
-                     python3-pygments <!nodoc>,
-                     python3-toml <!nodoc>,
-                     python3-typogrify <!nodoc>,
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://www.gtk.org/
@@ -36,7 +31,7 @@
 
 Package: libgdk-pixbuf-2.0-0
 Architecture: any
-Depends: libgdk-pixbuf2.0-common (= ${source:Version}),
+Depends: libgdk-pixbuf2.0-common (>= ${source:Version}),
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,11 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 include /usr/share/dpkg/architecture.mk
 
 built_binaries := $(shell dh_listpackages)
-meson_options = \
-	--force-fallback-for=gi-docgen \
-	$(NULL)
 
 ifneq (,$(filter libgdk-pixbuf2.0-doc,$(built_binaries)))
   BUILD_DOCS:=-Dgtk_doc=true
@@ -17,12 +14,12 @@
 endif
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		$(meson_options) \
 		$(BUILD_DOCS) \
+		-Dauto_features=enabled
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
 		$(NULL)
@@ -30,14 +27,13 @@
 	dh_auto_configure \
 		--builddirectory=obj-udeb \
 		-- \
-		$(meson_options) \
 		-Dbuiltin_loaders=png \
 		-Dinstalled_tests=false \
 		-Dintrospection=disabled \
 		-Dgtk_doc=false \
-		-Dpng=true \
-		-Dtiff=false \
-		-Djpeg=false \
+		-Dpng=enabled \
+		-Dtiff=disabled \
+		-Djpeg=disabled \
 		-Dman=false \
 		$(NULL)
 endif
@@ -68,9 +64,9 @@
 	# on slow arches the "slow" tests take longer than the timeout allowed
 	# by upstream; allow even more time (-t is a multipiler)
 ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64))
-	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky || true
+	dh_auto_test -- -t 5 --no-suite=flaky || true
 else
-	meson test --print-errorlogs -C $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) -t 5 --no-suite=flaky
+	dh_auto_test -- -t 5 --no-suite=flaky || true
 endif
 endif
 
@@ -104,9 +100,9 @@
 
 override_dh_missing:
 ifneq ($(filter %-udeb,$(built_binaries)),)
-	dh_missing --sourcedir=debian/tmp-udeb --fail-missing
+	dh_missing --sourcedir=debian/tmp-udeb
 endif
-	dh_missing --fail-missing
+	dh_missing
 
 override_dh_clean:
 	dh_clean
@@ -123,3 +119,20 @@
 
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xinstalled-tests
+
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+override_dh_fixperms:
+	dh_fixperms -Xusr/libexec/installed-tests
+ifneq ($(filter %-tests,$(binaries)),)
+	chmod --changes --recursive u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*/
+	chmod --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.conf
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.gif
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.icc
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.jpg
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.png
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.rgba
+	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.xmp
+
+endif

## gdk-pixbuf 2.42.9+dfsg

=== debian/changelog ===
gdk-pixbuf (2.42.9+dfsg-1ubuntu1) kinetic; urgency=medium

  * debian/patches/git_jpg_memlimit.patch:
    - increase the new jpg loader memory limitation to 1GB, the 100MB
      value previously used isn't enough for highres images (lp: #1998263)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2023 12:20:08 +0100

gdk-pixbuf (2.42.9+dfsg-1) unstable; urgency=medium

  * New upstream release
  * d/rules, d/control.in: Build-depend on python3-docutils for man pages.
    We no longer need docbook DTDs or stylesheets. We still need xsltproc,
    but only if we're building the udeb.
  * d/watch: Update options
  * d/changelog: Remove trailing whitespace
  * d/copyright: Stop excluding gi-docgen, no longer in upstream tarballs
  * d/copyright: Exclude prebuilt documentation when importing tarball
  * debian/patches/debian_queryloader_dir.patch:
    Format patch metadata for gbp pq
  * d/p/tests-Tolerate-either-CORRUPT_IMAGE-or-INSUFFICIENT_MEMOR.patch:
    Add patch to work around test failures with very large JPEG.
    Be less demanding about the exact error behaviour, but instead just
    require there to be an error.

 -- Simon McVittie <smcv@debian.org>  Tue, 16 Aug 2022 11:20:11 +0100

gdk-pixbuf (2.42.8+dfsg-2) unstable; urgency=medium

  * debian/patches/debian_queryloader_dir.patch:
    - fix the directory referenced for gdk-pixbuf-query-loaders
      in the .pc since that file is moved by the packaging

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 27 Jul 2022 15:23:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,6 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               docbook-xml,
-               docbook-xsl,
                gi-docgen,
                libgirepository1.0-dev (>= 0.9.3),
                libglib2.0-dev (>= 2.56.0),
@@ -21,8 +19,9 @@
                libpng-dev (>= 1.6),
                libtiff-dev,
                meson (>= 0.55.3),
+               python3-docutils <!nodoc>,
                shared-mime-info (>= 1.2),
-               xsltproc
+               xsltproc <!noudeb>
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://www.gtk.org/

## gdk-pixbuf 2.42.10%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,19 @@
   BUILD_DOCS:=-Dgtk_doc=false
 endif
 
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+  BUILD_DOCS += -Dman=true
+else
+  BUILD_DOCS += -Dman=false
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(BUILD_DOCS) \
-		-Dauto_features=enabled
+		-Dauto_features=enabled \
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
 		$(NULL)
@@ -111,6 +117,9 @@
 	done
 	rm -rf $(mimedir)
 
+override_dh_gnome_clean:
+	dh_gnome_clean --no-control
+
 override_dh_builddeb:
 	# on Ubuntu PNGs are optimised using 'optipng', but the (installed)
 	# testsuite relies on them being unmangled

## gdk-pixbuf 2.42.10+dfsg

=== debian/changelog ===
gdk-pixbuf (2.42.10+dfsg-3ubuntu3.2) noble-security; urgency=medium

  * SECURITY UPDATE: Potential memory leak
    - debian/patches/CVE-2025-6199.patch: fix reporting
      of bytes written in decoder in gdk-pixbuf/lzw.c.
    - CVE-2025-6199
  * SECURITY UPDATE: Heap buffer overflow
    - debian/patches/CVE-2025-7345.patch: be more careful
      with chunked icc data in gdk-pixbuf/io-jpeg.c.
    - CVE-2025-7345

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Fri, 27 Jun 2025 10:12:04 -0300

gdk-pixbuf (2.42.10+dfsg-3ubuntu3.1) noble-security; urgency=medium

  * SECURITY UPDATE: heap memory corruption
    - debian/patches/CVE-2022-48622-*.patch: adds checks for invalid ani files
      to gdk-pixbuf/io-ani.c.
    - tests/tests-images/fail/CVE-2022-48622.ani: test file.
    - debian/source/include-binaries: including binary test file.
    - CVE-2022-48622

 -- Ian Constantin <ian.constantin@canonical.com>  Mon, 03 Jun 2024 19:36:10 +0300

gdk-pixbuf (2.42.10+dfsg-3ubuntu3) noble; urgency=medium

  * Rebuild against new libpng16-16t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Apr 2024 15:33:12 +0200

gdk-pixbuf (2.42.10+dfsg-3ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:04:18 +0000

gdk-pixbuf (2.42.10+dfsg-3ubuntu1) noble; urgency=medium

  * Drop dh-sequence-gnome from Build-Depends

 -- Zixing Liu <zixing.liu@canonical.com>  Fri, 08 Mar 2024 15:37:24 -0700

gdk-pixbuf (2.42.10+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:36:05 +0000

gdk-pixbuf (2.42.10+dfsg-3) unstable; urgency=medium

  * Team upload
  * d/control, d/rules: Reinstate dh-sequence-gnome, but disable
    control.in.
    Ubuntu uses this sequence to pull in the Ubuntu-specific
    dh_translations.
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Use ${gir:Provides} instead of hard-coding it.
    gobject-introspection (>= 1.78.1-5~) generates this for us.

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Nov 2023 10:02:24 +0000

gdk-pixbuf (2.42.10+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

  [ Simon McVittie ]
  * d/clean: Clean up debian/tmp-udeb/, obj-udeb/ (Closes: #1045013)
  * d/rules: Fix escaped newline.
    No functional change, because the options after the incorrect newline
    were explicitly setting default behaviour anyway.
  * d/.gitignore: Add
  * d/control: Stop generating from a template.
    We don't use any of the other dh-sequence-gnome features (there are no
    libtool archives, and we don't use the gnome:Foo family of substvars)
    so drop the build-dependency on dh-sequence-gnome.
  * d/control: Add Provides on gir1.2-*-dev package names.
    Adding versioned Provides on gir1.2-*-dev corresponding to each GIR XML
    file is a small step towards being able to exclude GObject-Introspection
    with a build-profile when cross-compiling.
    (Helps: #1030223)
  * Remove version constraints unnecessary since bullseye (oldstable)
  * Update standards version to 4.6.2, no changes needed.

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Nov 2023 23:29:20 +0000

gdk-pixbuf (2.42.10+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Increase memory limit for JPEGs to 1 GiB
  * Update standards version to 4.6.1 (no changes needed)
  * d/upstream/metadata: Update Gitlab URLs

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 19:13:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
@@ -10,20 +6,19 @@
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gi-docgen,
-               libgirepository1.0-dev (>= 0.9.3),
-               libglib2.0-dev (>= 2.56.0),
+               libgirepository1.0-dev (>= 1.78.1-5~),
+               libglib2.0-dev,
                libjpeg-dev,
                libpng-dev (<< 1.7),
-               libpng-dev (>= 1.6),
+               libpng-dev,
                libtiff-dev,
-               meson (>= 0.55.3),
+               meson,
                python3-docutils <!nodoc>,
-               shared-mime-info (>= 1.2),
+               shared-mime-info,
                xsltproc <!noudeb>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
@@ -36,8 +31,6 @@
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgdk-pixbuf2.0-bin
-Breaks: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
-Replaces: libgdk-pixbuf2.0-0 (<< 2.40.0+dfsg-6~)
 Multi-Arch: same
 Description: GDK Pixbuf library
  The GDK Pixbuf library provides:
@@ -49,8 +42,6 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
-Replaces: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
-Breaks: libgdk-pixbuf2.0-dev (<< 2.36.12-2~)
 Description: GDK Pixbuf library (thumbnailer)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -75,16 +66,16 @@
 Depends: gir1.2-gdkpixbuf-2.0 (= ${binary:Version}),
          libgdk-pixbuf-2.0-0 (= ${binary:Version}),
          libgdk-pixbuf2.0-bin (= ${binary:Version}),
-         libglib2.0-dev (>= 2.56.0),
+         libglib2.0-dev,
          libjpeg-dev,
          libpng-dev (<< 1.7),
-         libpng-dev (>= 1.6),
+         libpng-dev,
          libtiff-dev,
          shared-mime-info,
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
-Replaces: libgdk-pixbuf2.0-dev (<< 2.40.0+dfsg-6~)
+Provides: ${gir:Provides}
 Description: GDK Pixbuf library (development files)
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.
@@ -146,8 +137,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Breaks: libgtk3-perl (<< 0.034-2~)
-Provides: gir1.2-gdkpixdata-2.0 (= ${binary:Version})
+Provides: ${gir:Provides}
 Description: GDK Pixbuf library - GObject-Introspection
  The GDK Pixbuf library provides:
   - Image loading and saving facilities.

## gdk-pixbuf 2.42.12+dfsg

=== debian/changelog ===
gdk-pixbuf (2.42.12+dfsg-5) unstable; urgency=medium

  * Team upload

  [ Sebastien Bacher ]
  * Fix dh_fixperms override

  [ Simon McVittie ]
  * Fix dh_fixperms override more: don't make subdirectories non-executable
  * Build-depend on gobject-introspection instead of libgirepository1.0-dev
  * Build-depend on required gir1.2-*-dev packages
  * Edit previous changelog entry to mention #1109262
  * d/copyright: Don't quote the FSF's former postal address
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 15 Aug 2025 10:57:12 +0100

gdk-pixbuf (2.42.12+dfsg-4) unstable; urgency=high

  * Team upload
  * Add patch from upstream fixing an out of bounds read for crafted
    JPEGs. (CVE-2025-7345, Closes: #1109262)

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Jul 2025 16:56:46 +0100

gdk-pixbuf (2.42.12+dfsg-3) unstable; urgency=high

  * Team upload
  * d/p/lzw-Fix-reporting-of-bytes-written-in-decoder.patch:
    Add patch from upstream to fix LZW error reporting.
    Setting the reported output size to the full buffer length rather than
    the actual number of written bytes can cause uninitialized memory
    contents to be disclosed. (CVE-2025-6199; Closes: #1107994)
  * Set high urgency for security fix

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Jun 2025 09:52:41 +0100

gdk-pixbuf (2.42.12+dfsg-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Remove some redundant dependencies
  * Standards-Version: 4.7.0 (no changes required)
  * libgdk-pixbuf2.0-doc: Register the reference manuals with doc-base

  [ Jeremy Bícha ]
  * Drop obsolete Pre-Depends
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Jan 2025 08:21:30 -0500

gdk-pixbuf (2.42.12+dfsg-1) unstable; urgency=high

  * Team upload
  * New upstream release
    - Reject malformed .ani files, including one category that can cause
      memory corruption (CVE-2022-48622)
  * d/rules: Keep .ani, .bmp, .icns, .ico, .pnm, .qtif, .tga, .xbm, .xpm
    loaders enabled for now. They are weakly maintained, and no longer
    enabled by default upstream to reduce security exposure, but disabling
    them would be a feature regression, which we shouldn't do in the same
    upload as a security fix.
  * d/rules: Disable miscellaneous loaders for the udeb, which as far as
    we know only needs PNG support
  * d/copyright: Pre-generated HTML documentation no longer needs excluding
  * Set high urgency for security fix

 -- Simon McVittie <smcv@debian.org>  Thu, 16 May 2024 15:25:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: gdk-pixbuf
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>,
+           Iain Lane <laney@debian.org>,
+           Jeremy Bicha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               dh-sequence-gnome,
                gi-docgen,
-               libgirepository1.0-dev (>= 1.78.1-5~),
+               gir1.2-gio-2.0-dev,
+               gir1.2-gmodule-2.0-dev,
+               gobject-introspection (>= 1.80),
                libglib2.0-dev,
                libjpeg-dev,
                libpng-dev (<< 1.7),
-               libpng-dev,
                libtiff-dev,
                meson,
                python3-docutils <!nodoc>,
                shared-mime-info,
                xsltproc <!noudeb>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.gtk.org/
 Vcs-Git: https://salsa.debian.org/gnome-team/gdk-pixbuf.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gdk-pixbuf
@@ -29,7 +33,6 @@
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Recommends: libgdk-pixbuf2.0-bin
 Multi-Arch: same
 Description: GDK Pixbuf library
@@ -69,7 +72,6 @@
          libglib2.0-dev,
          libjpeg-dev,
          libpng-dev (<< 1.7),
-         libpng-dev,
          libtiff-dev,
          shared-mime-info,
          ${gir:Depends},
@@ -104,7 +106,9 @@
 Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: libgdk-pixbuf-2.0-0-udeb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libgdk-pixbuf-2.0-0-udeb (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: GDK Pixbuf library - minimal runtime
  This is a udeb, or a microdeb, for the debian-installer.
  .

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 		-Dauto_features=enabled \
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
+		-Dothers=enabled \
 		$(NULL)
 ifneq ($(filter %-udeb,$(built_binaries)),)
 	dh_auto_configure \
@@ -40,6 +41,7 @@
 		-Dpng=enabled \
 		-Dtiff=disabled \
 		-Djpeg=disabled \
+		-Dothers=disabled \
 		-Dman=false \
 		$(NULL)
 endif
@@ -133,15 +135,9 @@
 # quite right for installed-tests
 override_dh_fixperms:
 	dh_fixperms -Xusr/libexec/installed-tests
-ifneq ($(filter %-tests,$(binaries)),)
-	chmod --changes --recursive u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*/
-	chmod --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
-	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.conf
+ifneq ($(filter %-tests,$(built_binaries)),)
+	chmod --changes --recursive a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
 	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.gif
-	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.icc
 	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.jpg
 	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.png
-	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.rgba
-	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/gdk-pixbuf/*.xmp
-
 endif

## gdk-pixbuf 2.44.3+dfsg

=== meson_options.txt ===
option('png',
       description: 'Enable PNG loader (requires libpng)',
       type: 'feature',
       value: 'auto')
option('tiff',
       description: 'Enable TIFF loader (requires libtiff), disabled on Windows if "native_windows_loaders" is used',
       type: 'feature',
       value: 'auto')
option('jpeg',
       description: 'Enable JPEG loader (requires libjpeg), disabled on Windows if "native_windows_loaders" is used',
       type: 'feature',
       value: 'auto')
option('gif',
       description: 'Enable GIF loader, disabled on Windows if "native_windows_loaders" is used',
       type: 'feature',
       value: 'auto')
option('glycin',
       description: 'Enable Glycin loader (requires glycin)',
       type: 'feature',
       value: 'auto')
option('android',
       description: 'Enable Android ImageDecoder loader. It provides loaders for JPEG, PNG, GIF, WEBP, BMP, ICO, WBMP, and HEIF images',
       type: 'feature',
       value: 'auto')
option('others',
       description: 'Enable other loaders, which are weakly maintained',
       type: 'feature',
       value: 'disabled')
option('builtin_loaders',
       description: 'Comma-separated list of loaders to build into gdk-pixbuf',
       type: 'array',
       choices: ['default', 'all', 'none', 'windows', 'png', 'bmp', 'gif', 'ico', 'ani', 'jpeg', 'pnm', 'tiff', 'xpm', 'xbm', 'tga', 'icns', 'qtif', 'glycin'],
       value: ['default'])
option('gtk_doc',
       description: 'Whether to generate the API reference',
       deprecated: 'documentation',
       type: 'boolean',
       value: false,
       yield: true)
option('documentation',
       description: 'Build the API reference (requires gi-docgen)',
       type: 'boolean',
       value: false,
       yield: true)
option('introspection',
       description: 'Whether to generate the API introspection data (requires GObject-Introspection)',
       type: 'feature',
       value: 'auto',
       yield: true)
option('man',
       description: 'Whether to generate man pages (requires rst2man)',
       type: 'boolean',
       value: true)
option('relocatable',
       description: 'Whether to enable application bundle relocation support',
       type: 'boolean',
       value: false)
option('native_windows_loaders',
       description: 'Use Windows system components to handle BMP, EMF, GIF, ICO, JPEG, TIFF and WMF images, overriding jpeg and tiff.  To build this into gdk-pixbuf, pass in windows" with the other loaders to build in or use "all" with the builtin_loaders option',
       type: 'boolean',
       value: false)
option('tests',
       description: 'Build the test suite',
       type: 'boolean',
       value: true)
option('installed_tests',
       description: 'Install the test suite',
       type: 'boolean',
       value: true)
option('gio_sniffing',
       description: 'Perform file type detection using GIO (Unused on MacOS and Windows)',
       type: 'boolean',
       value: true)
option('thumbnailer',
       description: 'Build the thumbnailer',
       type: 'feature',
       value: 'auto')

=== debian/changelog ===
gdk-pixbuf (2.44.3+dfsg-3) unstable; urgency=medium

  * Cherry-pick proposed patch to fix bitmap loading, as seen in
    the window buttons feature for the Xfce panel

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 Oct 2025 14:37:38 -0400

gdk-pixbuf (2.44.3+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 Oct 2025 06:45:40 -0400

gdk-pixbuf (2.44.3+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Update configure options
    - Don't switch to glycin yet
    - Explicitly disable native Android loader
    - Disable tiff for udeb
    - Disable thumbnailer for udeb
    - Keep jpeg & png as "built-in" loaders since that was the previous default
  * Remove 3 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 13:45:03 -0400

=== debian/control ===
--- 
+++ 
@@ -140,7 +140,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Provides: ${gir:Provides}
 Description: GDK Pixbuf library - GObject-Introspection
  The GDK Pixbuf library provides:

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 built_binaries := $(shell dh_listpackages)
 
 ifneq (,$(filter libgdk-pixbuf2.0-doc,$(built_binaries)))
-  BUILD_DOCS:=-Dgtk_doc=true
+  BUILD_DOCS:=-Ddocumentation=true
 else
-  BUILD_DOCS:=-Dgtk_doc=false
+  BUILD_DOCS:=-Ddocumentation=false
 endif
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
@@ -26,23 +26,31 @@
 	dh_auto_configure -- \
 		$(BUILD_DOCS) \
 		-Dauto_features=enabled \
+		-Dandroid=disabled \
+		-Dbuiltin_loaders=png,jpeg \
+		-Dglycin=disabled \
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
 		-Dothers=enabled \
+		-Dthumbnailer=enabled \
 		$(NULL)
 ifneq ($(filter %-udeb,$(built_binaries)),)
 	dh_auto_configure \
 		--builddirectory=obj-udeb \
 		-- \
-		-Dbuiltin_loaders=png \
+		-Ddocumentation=false \
 		-Dinstalled_tests=false \
 		-Dintrospection=disabled \
-		-Dgtk_doc=false \
+		-Dman=false \
+		-Dthumbnailer=disabled \
+		-Dbuiltin_loaders=png \
+		-Dandroid=disabled \
+		-Dglycin=disabled \
+		-Dgif=disabled \
+		-Djpeg=disabled \
+		-Dothers=disabled \
 		-Dpng=enabled \
 		-Dtiff=disabled \
-		-Djpeg=disabled \
-		-Dothers=disabled \
-		-Dman=false \
 		$(NULL)
 endif

=== debian/watch ===
version=4
opts="searchmode=plain,repacksuffix=+dfsg,repack,compression=xz,dversionmangle=s/[~+]dfsg[0-9]*//g,downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+[02468]/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## gdk-pixbuf 2.44.4%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -19,38 +19,37 @@
   BUILD_DOCS += -Dman=false
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf loong64 ppc64el riscv64 s390x))
+  # glycin doesn't handle xbm & xpm yet #1071271
+  GLYCIN = -Dglycin=enabled -Dbuiltin_loaders=glycin,xbm,xpm
+else
+  GLYCIN = -Dglycin=disabled -Dbuiltin_loaders=png,jpeg -Dthumbnailer=enabled \
+		-Dgif=enabled -Djpeg=enabled -Dpng=enabled -Dtiff=enabled \
+		-Dothers=enabled -Dthumbnailer=enabled
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(BUILD_DOCS) \
-		-Dauto_features=enabled \
-		-Dandroid=disabled \
-		-Dbuiltin_loaders=png,jpeg \
-		-Dglycin=disabled \
+		$(GLYCIN) \
+		-Dauto_features=disabled \
 		-Dinstalled_tests=true \
 		-Dintrospection=enabled \
-		-Dothers=enabled \
-		-Dthumbnailer=enabled \
 		$(NULL)
 ifneq ($(filter %-udeb,$(built_binaries)),)
 	dh_auto_configure \
 		--builddirectory=obj-udeb \
 		-- \
+		-Dauto_features=disabled \
 		-Ddocumentation=false \
 		-Dinstalled_tests=false \
 		-Dintrospection=disabled \
 		-Dman=false \
-		-Dthumbnailer=disabled \
 		-Dbuiltin_loaders=png \
-		-Dandroid=disabled \
-		-Dglycin=disabled \
-		-Dgif=disabled \
-		-Djpeg=disabled \
-		-Dothers=disabled \
 		-Dpng=enabled \
-		-Dtiff=disabled \
 		$(NULL)
 endif
